## mozjs128 128.9.0

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.1
mozinfo==1.2.3  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==8.0.0
mozprocess==1.3.1
packaging==24.0
pillow==10.3.0
requests==2.31.0
six==1.16.0
urllib3==2.2.1
aioquic==0.9.21

## mozjs128 128.3.0

=== debian/changelog ===
mozjs128 (128.3.0-1) unstable; urgency=high

  * New upstream release (LP: #2083344)
    - CVE-2024-9396 Potential memory corruption when cloning certain objects
    - CVE-2024-9400 Potential memory corruption during JIT compilation
    - CVE-2024-9402 Memory safety bugs
  * Remove libatomic patch applied in new release
  * Revert "Add -latomic to LDFLAGS to try to fix armel build"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 11:46:49 -0400

mozjs128 (128.2.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2024-8381 Type confusion when looking up property names
    - CVE-2024-8382 Internal event interfaces exposed to web content
    - CVE-2024-8384 Garbage collection could mis-color cross-compartment objects
    - CVE-2024-8385 WASM type confusion involving ArrayTypes
    - CVE-2024-8387 Memory safety bugs

  [ Simon McVittie ]
  * Add patch to fix detection of architectures that require -latomic
    (Closes: #1079077)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Sep 2024 09:51:21 -0400

mozjs128 (128.1.0-3) unstable; urgency=medium

  * Add -latomic to LDFLAGS to try to fix armel build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Aug 2024 17:02:03 -0400

mozjs128 (128.1.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 22:38:35 -0400

mozjs128 (128.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 12 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 07:04:31 -0400

mozjs128 (128.0-2) unstable; urgency=medium

  * New upstream series (Closes: #1076037)
  * Add Build-Depends: cbindgen
  * Refresh patches
  * Drop 5 patches that are no longer needed
  * Cherry-pick 12 patches from future 128.1.0 to fix various issues
  * debian/rules: Set MOZBUILD_STATE_PATH
  * debian/test.sh: Remove reference to no-longer-provided run-mozilla.sh

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 19:38:33 -0400

mozjs115 (115.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 15:35:34 -0400

mozjs115 (115.12.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-5688 Use-after-free in JavaScript object transplant
    - CVE-2024-5700 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Jun 2024 14:34:32 -0400

mozjs115 (115.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 18:32:36 +0200

mozjs115 (115.10.0-1) unstable; urgency=high

  * New upstream release (LP: #2061860)
    - CVE-2024-3852: GetBoundName in the JIT returned the wrong object
    - CVE-2024-3854: Out-of-bounds-read after mis-optimized switch statement
    - CVE-2024-3857: Incorrect JITting of arguments led to use-after-free
      during garbage collection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 07:52:09 -0400

mozjs115 (115.9.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-2607: JIT code failed to save return registers on Armv7-A

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:47:42 -0400

mozjs115 (115.8.0-3) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) (Closes: #1065286)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 18:02:34 -0500

mozjs115 (115.8.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1046520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:59:28 -0500

mozjs115 (115.8.0-2~exp1) experimental; urgency=medium

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:39:30 -0500

mozjs115 (115.8.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2024-1553: Memory safety bug
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:36:52 -0500

mozjs115 (115.7.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/python3.12-six.patch:
    Rediff patch so quilt, dpkg-source and gbp pq agree on its effect

  [ Amin Bandali ]
  * Cherry-pick more upstream patches to fix build with Python 3.12
    - debian/patches/python3.12-bug1831512.patch
    - debian/patches/python3.12-bug1857516.patch
    - debian/patches/python3.12-bug1860051.patch
    - debian/patches/python3.12-bug1874280.patch
    - debian/patches/python3.12-bug1851580.patch
    - debian/patches/python3.12-bug1866829.patch

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 16 Feb 2024 11:28:22 -0500

mozjs115 (115.7.0-3) unstable; urgency=medium

  * Team upload
  * d/p/Export-js-detail-CanonicalizedNaNBits-on-architectures-th.patch:
    Add a patch to fix linking of gjs (>= 1.78.3) on mips64el
    (Closes: #1063446)
  * d/tests/dev: Add a superficial autopkgtest.
    In addition to exercising basic compilation and initialization,
    this verifies that #1063446 has been fixed.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Feb 2024 14:40:52 +0000

mozjs115 (115.7.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 08:51:19 -0500

mozjs115 (115.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 08:36:55 -0500

mozjs115 (115.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-6864: Memory safety bug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 15:48:13 -0500

mozjs115 (115.5.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and gnome-pkg-tools (no translations here)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Nov 2023 12:43:37 -0500

mozjs115 (115.4.0-2) unstable; urgency=high

  * Add patch to fix the non-JIT armel build
  * Adjust patch to update expected armel failures for 115

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Oct 2023 19:32:07 -0400

mozjs115 (115.4.0-1) unstable; urgency=medium


=== debian/control ===
Source: mozjs128
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cargo,
               cbindgen,
               clang,
               autoconf,
               automake,
               libreadline-dev,
               llvm,
               zlib1g-dev (>= 1:1.2.3),
               pkgconf,
               pkg-kde-tools,
               python3-dev,
               rustc (>= 1.41),
               tzdata,
               zip
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/128/latest
Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/128/latest
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey

Package: libmozjs-128-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
Description: SpiderMonkey JavaScript library
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This library is intended for use in contexts where only trusted
 JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
 polkit's rules parsing. It should not be used to run untrusted JavaScript
 from web pages: use a security-supported implementation such as Firefox,
 Chrome or WebKitGTK's JavaScriptCore instead.

Package: libmozjs-128-dev
Architecture: any
Section: libdevel
Depends: libmozjs-128-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SpiderMonkey JavaScript library - development headers
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files which are
 needed for developing SpiderMonkey embedders.
 .
 This library is intended for use in contexts where only trusted
 JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
 polkit's rules parsing. It should not be used to run untrusted JavaScript
 from web pages: use a security-supported implementation such as Firefox,
 Chrome or WebKitGTK's JavaScriptCore instead.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

# Disable CET, until JIT is ported too, preventing accidentally
# building incompatible binaries.
ifeq ($(DEB_HOST_ARCH),amd64)
export DEB_CFLAGS_MAINT_APPEND=-fcf-protection=none
export DEB_CXXFLAGS_MAINT_APPEND=-fcf-protection=none
endif

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This can be disabled if the bundled icu overtakes the system version,
# or for backporting
WITH_SYSTEM_ICU = no

export DEB_HOST_ARCH
# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh
export PYTHON3 = python3
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
# Please tell us what you're thinking...
export MOZ_CONFIGURE_TRACE = yes

SRCDIR = $(CURDIR)/js/src
BUILDDIR = $(CURDIR)/debian/build
CARGO_HOME = $(BUILDDIR)/cargo-home
CONFIGURE_FLAGS =
RUSTFLAGS =

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/[-+~].*//')
UPSTREAM_MAJOR = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f1)
UPSTREAM_MINOR = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f2)
UPSTREAM_PATCH = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f3)

export MOZJS_VERSION = $(UPSTREAM_MAJOR)
LIBNAME = libmozjs-$(MOZJS_VERSION)
SONAME = $(LIBNAME).so.0

VERSIONED_LIBNAME = \
	$(LIBNAME).so.$(UPSTREAM_MAJOR).$(UPSTREAM_MINOR).$(UPSTREAM_PATCH)

# ia64 currently has toolchain issues, so relax the link optimization
ifneq (,$(findstring $(DEB_BUILD_ARCH),ia64))
	DEB_CFLAGS_MAINT_APPEND += -G0
	DEB_CXXFLAGS_MAINT_APPEND += -G0
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),sh4))
        DEB_CFLAGS_MAINT_APPEND += -mlra
        DEB_CXXFLAGS_MAINT_APPEND += -mlra
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
        DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
        CONFIGURE_FLAGS += --disable-shared-memory
endif

export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

EXCLUDED_TESTS :=

# Upstream assumes everything uses SSE mathematics, but SSE isn't in
# Debian's baseline for i386, so we are stuck with i387 and its weird
# 80-bit floating point registers. We can't even work around this with
# -fexcess-precision=standard, because mozjs is C++.
# https://bugzilla.mozilla.org/show_bug.cgi?id=1621900
ifneq (,$(findstring $(DEB_BUILD_ARCH),i386))
	EXCLUDED_TESTS += basic/bug653153.js
	EXCLUDED_TESTS += basic/fdlibm-for-sin-cos-tan-argument.js
endif

# See: https://bugzilla.mozilla.org/show_bug.cgi?id=1755540
ifneq (,$(findstring $(DEB_BUILD_ARCH),powerpc ppc64 sparc64 s390x))
	EXCLUDED_TESTS += large-arraybuffers/basic.js
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
	EXCLUDED_TESTS += basic/bug-1649234-1.js
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel mips64el))
CONFIGURE_FLAGS += --disable-jit
endif

ifeq ($(DEB_HOST_ARCH),sh4)
        DEB_LDFLAGS_MAINT_APPEND += -no-pie
endif

ifeq ($(WITH_SYSTEM_ICU),yes)
CONFIGURE_FLAGS += --with-system-icu
else
CONFIGURE_FLAGS += --without-system-icu
endif

# See https://github.com/rust-lang/rust/issues/66118
RUSTFLAGS += -Clto=thin

export RUSTFLAGS
export CARGO_HOME

%:
	dh $@ --sourcedirectory=$(SRCDIR) --builddirectory=$(BUILDDIR) --with pkgkde-symbolshelper

override_dh_clean:
	dh_clean
	find $(CURDIR) -name \*.pyc -exec rm {} \;
	find $(CURDIR)/js/src/ -type l -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js$(MOZJS_VERSION)-config \
		$(CURDIR)/js/src/mozjs-$(MOZJS_VERSION).pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log
	rm -fr $(CURDIR)/intl/icu/source/autom4te.cache
	rm -fr $(CURDIR)/debian/build
	rm -rf third_party/python/psutil/build/ third_party/python/psutil/psutil/_*.so third_party/python/psutil/tmp/

override_dh_autoreconf:
	WITH_SYSTEM_ICU=$(WITH_SYSTEM_ICU) dh_autoreconf $(CURDIR)/debian/autogen.sh

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
# The bundled copy of icu prefers clang, which we need to override to
# use gcc because clang doesn't support our DEB_CFLAGS_MAINT_APPEND
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)/dist/cppunittests
	cd $(BUILDDIR); \
	if env \
		CC=$(CC) \
		CXX=$(CXX) \
		RUST_HOST=$(DEB_BUILD_RUST_TYPE) \
		RUST_TARGET=$(DEB_HOST_RUST_TYPE) \
	$(SHELL) $(SRCDIR)/configure \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--with-system-zlib \
		--disable-strip \
		--with-intl-api \
		--enable-readline \
		--disable-jemalloc \
		$(CONFIGURE_FLAGS) \
	; then \
		echo Configure successful; \
	else \
		echo Configure failed with status $$?; \
		tail -v -n +0 config.log; \
		exit 1; \
	fi

execute_before_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libjs_static.ajs $(LIBNAME).a && \
		mv $(LIBNAME).so $(VERSIONED_LIBNAME) && \
		ln -s $(VERSIONED_LIBNAME) $(SONAME) && \
		ln -s $(SONAME) $(LIBNAME).so
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/$(LIBNAME).a

execute_after_dh_fixperms:
	chmod a-x $(CURDIR)/debian/$(LIBNAME)-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-$(MOZJS_VERSION).pc

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_auto_test:
	@:
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	SRCDIR=${SRCDIR} BUILDDIR=${BUILDDIR} DEB_HOST_ARCH=${DEB_HOST_ARCH} $(CURDIR)/debian/test.sh $(EXCLUDED_TESTS)
endif
endif

## mozjs128 128.4.0

=== debian/changelog ===
mozjs128 (128.4.0-2) unstable; urgency=medium

  * Team upload
  * d/p/js-src-tests-Avoid-using-legacy-MST-time-zone-name.patch:
    Add proposed patch to fix a test failure without tzdata-legacy
    installed (Closes: #1086298)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:01:18 +0000

mozjs128 (128.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 29 Oct 2024 17:22:22 +0100

## mozjs128 128.5.0

=== debian/changelog ===
mozjs128 (128.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 15:33:47 -0500

mozjs128 (128.4.0-4) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1926140-Replace-pipes-imports-r-jmaher.patch,
    d/p/Bug-1925198-Move-telnetlib-import-to-BaseEmulator-r-jmahe.patch:
    Add patches from mozilla-central partially fixing build with
    python3.13 as default (Helps: #1084616)
  * d/control, d/rules, d/clean: Use python3-legacy-cgi for tests,
    replacing the standard library module that is no longer included
    in python3.13.
    Because of the Mozilla build system's use of virtualenv, python3.13
    doesn't seem to pick it up from /usr/lib/python3/dist-packages,
    so create a debian/site-packages/ with cgi.py and put that in the
    PYTHONPATH. (Closes: #1084616)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2024 16:59:31 +0000

mozjs128 (128.4.0-3) unstable; urgency=medium

  * Team upload
  * Install js128, js128-config to non-PATH locations.
    They aren't multi-arch co-installable if installed to /usr/bin,
    and the only package that build-depends on libmozjs-128-dev (gjs)
    doesn't actually use them anyway.
  * Install headers to a multiarch-friendly location.
    The headers contain facts about the host system (in js-config.h)
    so are not architecture-independent.
  * Mark libmozjs-128-dev as Multi-Arch: same.
    This will allow libgjs-dev to be usefully Multi-Arch: same, too.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 11:25:43 +0000

## mozjs128 128.6.0

=== debian/changelog ===
mozjs128 (128.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-0240: Compartment mismatch when parsing JavaScript JSON module
    - CVE-2025-0241: Memory corruption when using JavaScript Text Segmentation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 08:29:17 -0900

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                pkgconf,
                pkg-kde-tools,
                python3-dev,
+               python3-legacy-cgi,
                rustc (>= 1.41),
                tzdata,
                zip
@@ -42,6 +43,7 @@
 
 Package: libmozjs-128-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libmozjs-128-0 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 # like zsh
 export SHELL = /bin/sh
 export PYTHON3 = python3
+export PYTHONPATH=$(CURDIR)/debian/site-packages
 export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
 # Please tell us what you're thinking...
 export MOZ_CONFIGURE_TRACE = yes
@@ -137,6 +138,8 @@
 endif
 
 override_dh_auto_configure:
+	mkdir -p $(CURDIR)/debian/site-packages
+	ln -fns /usr/lib/python3/dist-packages/cgi* $(CURDIR)/debian/site-packages/
 	mkdir -p $(BUILDDIR)/dist/cppunittests
 	cd $(BUILDDIR); \
 	if env \
@@ -148,6 +151,7 @@
 		--host=$(DEB_BUILD_GNU_TYPE) \
 		--target=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--includedir=/usr/include/${DEB_HOST_MULTIARCH} \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		--with-system-zlib \
 		--disable-strip \

## mozjs128 128.7.0

=== debian/changelog ===
mozjs128 (128.7.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2025-11704 Potential double-free in PKCS#7 decryption handling

  [ Simon McVittie ]
  * Build-Depend on rustc 1.76.0, as per python/mozboot/mozboot/util.py
    (Closes: #1092630)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 18:31:04 -0500

## mozjs128 128.8.0

=== debian/changelog ===
mozjs128 (128.8.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-1933 JIT corruption of WASM i386 return value on 64-bit CPUs
    - CVE-2025-1934 Unexpected GC during RegExp bailout processing
    - CVE-2025-1936 Adding %00 and a fake extension changed interpretation
    - CVE-2025-1937 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 13:57:32 -0500

## mozjs128 128.9.0

=== debian/changelog ===
mozjs128 (128.9.0-1) unstable; urgency=high

  * New upstream release (LP: #2105631)
    - CVE-2025-3028 Use-after-free triggered by XSLTProcessor
    - CVE-2025-3029 URL bar spoofing via non-BMP Unicode characters
    - CVE-2025-3030 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 12:49:25 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                pkg-kde-tools,
                python3-dev,
                python3-legacy-cgi,
-               rustc (>= 1.41),
+               rustc (>= 1.76.0),
                tzdata,
                zip
 Rules-Requires-Root: no

## mozjs128 128.11.0

=== debian/changelog ===
mozjs128 (128.11.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-5263: Error handling for script execution was incorrectly isolated
      from web content
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:34:04 -0400

mozjs128 (128.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Apr 2025 08:13:03 -0400

## mozjs128 128.13.0

=== debian/changelog ===
mozjs128 (128.13.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-8027: JavaScript engine only wrote partial return value to stack
    - CVE-2025-8028: Large branch table could lead to truncated instruction
    - CVE-2025-8033: Incorrect JavaScript state machine for generators

 -- Jeremy Bícha <jeremy@ubuntu.com>  Fri, 25 Jul 2025 10:01:16 +0200
